Subject: Re: appletalk oops.

From: Arnd Bergmann <[email-masked]>
Date: Fri, 1 Apr 2011 16:26:22 +0200

On Friday 01 April 2011, David Miller wrote:
> appletalk: Fix OOPS in atalk_release().
> 
> Commit 60d9f461a20ba59219fdcdc30cbf8e3a4ad3f625 ("appletalk: remove
> the BKL") added a dereference of "sk" before checking for NULL in
> atalk_release().
> 
> Guard the code block completely, rather than partially, with the
> NULL check.
> 
> Reported-by: Dave Jones <[email-masked]>
> Signed-off-by: David S. Miller <[email-masked]>

Oops indeed.

The best excuse I have is that nobody who has access to a real
appletalk network stepped up to test it when I submitted the patches
and that I first suggested deleting the protocol instead because
I had no idea if my patch made any sense.

Acked-by: Arnd Bergmann <[email-masked]>